using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;

namespace SvetoforVKBot.App_Start
{
    public class WebConfiguration: System.Configuration.ConfigurationSection
    {
        [ConfigurationProperty("name", IsKey = true, IsRequired = true, DefaultValue = "Debug")]
        public string Name
        {
            get
            {
                return (string)this["name"];
            }
            set
            {
                this["name"] = value;
            }
        }

        [ConfigurationProperty("token", IsRequired = true, DefaultValue = "")]
        public string Token
        {
            get
            {
                return (string)this["token"];
            }
            set
            {
                this["token"] = value;
            }
        }

        [ConfigurationProperty("secret", IsRequired = true, DefaultValue = "")]
        public string SecretKey
        {
            get
            {
                return (string)this["secret"];
            }
            set
            {
                this["secret"] = value;
            }
        }

        [ConfigurationProperty("confirmation", IsRequired = true, DefaultValue = "")]
        public string Confirmation
        {
            get
            {
                return (string)this["confirmation"];
            }
            set
            {
                this["confirmation"] = value;
            }
        }

        [ConfigurationProperty("groupdialoglink", IsRequired = true, DefaultValue = "")]
        public string GroupDialogsLink
        {
            get
            {
                return (string)this["groupdialoglink"];
            }
            set
            {
                this["groupdialoglink"] = value;
            }
        }
    }
}